plot-methods {copula} | R Documentation

## Methods for 'plot' in Package 'copula'

### Description

Methods for `plot()` to draw a scatter plot of a random sample from bivariate distributions from package copula.

### Usage

    ## S4 method for signature 'Copula,ANY'
    plot(x, n, xlim = 0:1, ylim = 0:1,
          xlab = expression(U[1]), ylab = expression(U[2]), ...)
    ## S4 method for signature 'mvdc,ANY'
    plot(x, n, xlim = NULL, ylim = NULL,
          xlab = expression(X[1]), ylab = expression(X[2]), ...)

### Arguments

`x` | a bivariate `"matrix"`, `"data.frame"`, `"Copula"` or a `"mvdc"` object.
`n` | when `x` is not matrix-like: The sample size of the random sample drawn from `x`.
`xlim, ylim` | the x- and y-axis limits.
`xlab, ylab` | the x- and y-axis labels.
`...` | additional arguments passed to `plot` methods, i.e., typically `plot.default`.

### Value

invisible().

### See Also

`splom2()` for a scatter-plot matrix based on `splom()`.

### Examples

    ## For 2-dim. 'copula' objects
    n <- 1000 # sample size
    nu <- 3 # degrees of freedom
    tau <- 0.5 # Kendall's tau
    th <- iTau(tCopula(df = nu), tau) # corresponding parameter
    cop <- tCopula(th, df = nu) # define 2-d copula object
    set.seed(271)
    plot(cop, n = n)

    ## For 2-dim. 'mvdc' objects
    mvNN <- mvdc(cop, c("norm", "norm"),
                 list(list(mean = 0, sd = 1), list(mean = 1)))
    plot(mvNN, n = n)

[Package copula version 0.999-15 Index]